SitemeshTagLib (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.taglib
[Groovy] Class SitemeshTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.SitemeshTagLib

All Implemented Interfaces:
  com.opensymphony.module.sitemesh.RequestConstants

    @Artefact("TagLibrary")
    class SitemeshTagLib
    extends java.lang.Object

Internal Sitemesh pre-processor tags.

Authors:
  Graeme Rocher

Since:
  1.2

Property Summary
`groovy.lang.Closure` | `captureBody` Captures the <body> tag.
`groovy.lang.Closure` | `captureContent` Captures the individual <content> tags.
`groovy.lang.Closure` | `captureHead` Captures the <head> tag.
`groovy.lang.Closure` | `captureMeta` Captures the individual <meta> tags.
`groovy.lang.Closure` | `captureTitle` Captures the <title> tag.
`static java.lang.Object` | `namespace`
`groovy.lang.Closure` | `parameter` Allows passing of parameters to Sitemesh layout.
`groovy.lang.Closure` | `wrapTitleTag` Wraps the title tag so that the buffer can be cleared out from the head buffer

Method Summary
`java.lang.Object` | `captureTagContent(java.io.Writer writer, java.lang.String tagname, java.util.Map attrs, java.lang.Object body, boolean noEndTagForEmpty = false)`
`StreamCharBuffer` | `wrapContentInBuffer(java.lang.Object content)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### captureBody

    groovy.lang.Closure captureBody

  Captures the <body> tag.

### captureContent

    groovy.lang.Closure captureContent

  Captures the individual <content> tags.

### captureHead

    groovy.lang.Closure captureHead

  Captures the <head> tag.

### captureMeta

    groovy.lang.Closure captureMeta

  Captures the individual <meta> tags.

### captureTitle

    groovy.lang.Closure captureTitle

  Captures the <title> tag.

### namespace

    static java.lang.Object namespace

### parameter

    groovy.lang.Closure parameter

  Allows passing of parameters to Sitemesh layout.
  <sitemesh:parameter name="foo" value="bar" />

### wrapTitleTag

    groovy.lang.Closure wrapTitleTag

  Wraps the title tag so that the buffer can be cleared out from the head buffer

Method Detail

### captureTagContent

    @groovy.transform.CompileStatic
    java.lang.Object captureTagContent(java.io.Writer writer, java.lang.String tagname, java.util.Map attrs, java.lang.Object body, boolean noEndTagForEmpty = false)

### wrapContentInBuffer

    @groovy.transform.CompileStatic
    StreamCharBuffer wrapContentInBuffer(java.lang.Object content)

Groovy Documentation